
      SUBROUTINE TRPMV                                                  5046

c	include 'tcommon.for'
	%include tcommon.for

C     ...TORP MOVEMENT.                                                 5064
      DO 2580 J=1,NTORPS                                                5065
      IF(TORPS(J,1).EQ.0.)GO TO 2580                                    5066
      DX=COSD(TORPS(J,4))*TORPS(J,3)                                    5067
      DY=SIND(TORPS(J,4))*TORPS(J,3)                                    5068
      TORPS(J,1)=TORPS(J,1)+DX                                          5069
      TORPS(J,2)=TORPS(J,2)+DY                                          5070
C     ...TORPS LEAVING QUADRANT ARE DESTROYED.                          5071
      IF(TORPS(J,1).LT..5.OR.TORPS(J,1).GE.10.5.OR.TORPS(J,2).LT..5.OR.T5072
     1ORPS(J,2).GE.10.5)CALL DLETE(7,J)                                 5073
2580  CONTINUE                                                          5074
2600  RETURN                                                            5075
      END                                                               5076
2  DE